ValidationContext (RELAX NG Datatype API)
Description: declaration: package: org.relaxng.datatype, interface: ValidationContext

# Interface ValidationContext

public interface ValidationContext
An interface that must be implemented by caller to provide context information that is necessary to perform validation of some Datatypes.

Author:
  James Clark, Kohsuke KAWAGUCHI

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseUri()`
  Returns the base URI of the context.
  `boolean`
  `isNotation(String notationName)`
  Checks if a notation is declared with the specified name.
  `boolean`
  `isUnparsedEntity(String entityName)`
  Checks if an unparsed entity is declared with the specified name.
  `String`
  `resolveNamespacePrefix(String prefix)`
  Resolves a namespace prefix to the corresponding namespace URI.

- ## Method Details

  - ### resolveNamespacePrefix

    String resolveNamespacePrefix(String prefix)
    Resolves a namespace prefix to the corresponding namespace URI. This method is used for validating the QName type, for example.

    If the prefix is "" (empty string), it indicates an unprefixed value. The callee should resolve it as for an unprefixed element, rather than for an unprefixed attribute.

    If the prefix is "xml", then the callee must resolve this prefix into "http://www.w3.org/XML/1998/namespace", as defined in the XML Namespaces Recommendation.

    Returns:
      namespace URI of this prefix. If the specified prefix is not declared, the implementation must return null.

  - ### getBaseUri

    String getBaseUri()
    Returns the base URI of the context. The null string may be returned if no base URI is known.

  - ### isUnparsedEntity

    boolean isUnparsedEntity(String entityName)
    Checks if an unparsed entity is declared with the specified name.
    Returns:
      true if the DTD has an unparsed entity declaration for the specified name. false otherwise.

  - ### isNotation

    boolean isNotation(String notationName)
    Checks if a notation is declared with the specified name.
    Returns:
      true if the DTD has a notation declaration for the specified name. false otherwise.